/* Bootcamp */
/* Banners */

.container_banner{
    display: flex;
    justify-content: center;
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
    width: 100%;
}
.content_banner{
    display: inline-flex;
    padding: 12px 12px 12px 24px;
    align-items: center;
    gap: 32px;
    border-radius: 12px;
    background: radial-gradient(85.47% 85.47% at 41.29% 50%, rgba(233, 110, 58, 1) 0%, var(--color-palette-orange-pale) 70.19%, rgba(233, 110, 58, 1) 97.6%), var(--Background-secondary, #F2F1EE);
    box-shadow: 0 2px 2px 0 rgba(255, 255, 255, 0.32) inset, 0 -1px 8px 0 rgba(233, 110, 58, 0.80) inset;
     z-index: 1000;
     position: relative;
     max-height: 106px;
}
.content_banner h1{
    color: var(--Text-Highlights-Body-text-orange, #D35722);
    font-feature-settings: 'liga' off, 'clig' off;
    font-family: Gramatika;
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 44px; /* 91.667% */
    letter-spacing: -0.96px;
    text-transform: uppercase;
}
.content_banner h2{
    color: var(--Text-Highlights-Body-text-orange, #D35722);
    text-align: center;
    font-feature-settings: 'liga' off, 'clig' off;
    font-family: Gramatika;
    font-size: 28px;
    font-style: normal;
    font-weight: 700;
    line-height: var(--line-height-header-24, 28px); /* 100% */
    letter-spacing: -0.56px;
    text-transform: uppercase;
}
.content_banner h3{
    color: var(--Text-Highlights-Body-text-orange, #D35722);
    font-feature-settings: 'liga' off, 'clig' off;
    font-family: Gramatika;
    font-size: var(--size-header-20, 20px);
    font-style: normal;
    font-weight: 700;
    line-height: var(--line-height-header-20, 24px); /* 120% */
    letter-spacing: -0.4px;
}
.content_banner h4{
    color: var(--orange-midnight, #591B00);
    font-feature-settings: 'liga' off, 'clig' off;
    font-family: var(--font-default, "Suisse Intl");
    font-size: var(--size-body-16, 16px);
    font-style: normal;
    font-weight: 500;
    line-height: var(--line-height-body-16-ui, 20px); /* 125% */
    text-transform: uppercase;
}
.content_banner p{
    color: var(--orange-midnight, #591B00);
    font-feature-settings: 'liga' off, 'clig' off;
    font-family: var(--font-default, "Suisse Intl");
    font-size: var(--size-caption-14, 14px);
    font-style: normal;
    font-weight: 500;
    line-height: var(--line-height-caption-14, 18px);
}
.content_banner a{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    color: var(--Text-primary, #F2F1EE);
    font-feature-settings: 'liga' off, 'clig' off;
    text-overflow: ellipsis;

    /* Sans/Body 16/Medium UI */
    font-family: var(--font-default, "Suisse Intl");
    font-size: var(--size-body-16, 16px);
    font-style: normal;
    font-weight: 500;
    line-height: var(--line-height-body-16-ui, 20px); /* 125% */
    text-decoration: none;
}
.content_banner .text{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
}
.content_banner .text .middle{
    display: flex;
    align-items: center;
    gap: 4px;
}
.content_banner .text .middle .percentage{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.content_banner .countdown{
    display: flex;
    justify-content: space-between;
}
.content_banner .countdown .block{
    display: flex;
    width: 40px;
    padding: 4px 8px;
    justify-content: center;
    align-items: center;
    gap: 2px;
    border-radius: 8px;
    position: relative;
}
.content_banner .countdown .block.hours::before,
.content_banner .countdown .block.minutes::before,
.content_banner .countdown .block.seconds::before{
    content: "";
    position: absolute;
    left: -4px;
    top: 50%;
    transform: translateY(-50%);
    width: 2px;
    height: 6px;
    background-color: var(--orange-midnight, #591B00);
    -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='2' height='6' viewBox='0 0 2 6' fill='none'%3E%3Crect width='2' height='2' fill='%23000'/%3E%3Crect y='4' width='2' height='2' fill='%23000'/%3E%3C/svg%3E");
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='2' height='6' viewBox='0 0 2 6' fill='none'%3E%3Crect width='2' height='2' fill='%23000'/%3E%3Crect y='4' width='2' height='2' fill='%23000'/%3E%3C/svg%3E");
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
}
.content_banner .cta{
    display: flex;
    height: 44px;
    width: 120px;
    padding: var(--12, 12px) var(--16, 16px);
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    border-bottom: 2px solid var(--color-palette-black-100);
    background: var(--color-palette-black-90);
    box-sizing: border-box;
}
.content_banner .cta::after{
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.15) 0%, rgba(42, 42, 42, 0.00) 100%);

}
.stamp_claude.banner{
    display: inline;
    position: absolute;
    bottom: 30%;
    right: 36%;
    width: 163px;
    height: 163px;
    background-image: url('../Imagens/banner_inicial/star_claude_banner.svg');
    background-repeat: no-repeat;
    background-size: contain;
    display: flex;
    align-items: center;
    justify-content: center;
}
.stamp_claude.banner span{
    text-align: center;
    max-width: 100px;   /* pra quebrar linha e caber "+ 1 ano de Claude grátis" dentro do blob */
    color: white;
    position: relative;
    bottom: 9%;
    left: 1%;
}
.stamp_claude.banner svg{
    position: relative;
    right: 6%;
    top: 2%;
}
@media(max-width: 767px){
    .stamp_claude.banner{
    display: inline;
    position: absolute;
    bottom: 51%;
    right: -3%;
    width: 163px;
    height: 163px;
    background-image: url('../Imagens/banner_inicial/star_claude_banner.svg');
    background-repeat: no-repeat;
    background-size: contain;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: rotate(295deg);
}
.stamp_claude.banner span{
    text-align: center;
    max-width: 100px;   /* pra quebrar linha e caber "+ 1 ano de Claude grátis" dentro do blob */
    color: white;
    position: relative;
    bottom: 9%;
    right: -11%;
    transform: rotate(65deg);
}
.stamp_claude.banner svg{
    position: relative;
    right: 16%;
    top: 15%;
}
}